Java異常處理-自定義異常


JDK里給我們內置了一套程序級別的異常體系,但是我們在業務開發過程中,我們可以自定義自己的一套關於業務性的異常體系,來滿足程序的開發需求;

自定義異常要繼承自Exception;

 
/**
 * 自定義異常,繼承自Exception
 * @author user
 *
 */
public class CustomException extends Exception{
 
    public CustomException(String message) {
        super(message);
    }
 
}
package com.java1234.chap04.sec05;
 
public class TestCustomException {
 
    public static void test()throws CustomException{
        throw new CustomException("自定義異常");
    }
     
    public static void main(String[] args) {
        try {
            test();
        } catch (CustomException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
    }
}
運行輸出:

com.java1234.chap04.sec05.CustomException: 自定義異常

    at com.java1234.chap04.sec05.TestCustomException.test(TestCustomException.java:6)

    at com.java1234.chap04.sec05.TestCustomException.main(TestCustomException.java:11)

 


注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
粤ICP备14056181号  © 2014-2021 ITdaan.com